##
## This is part of CLFSja package.
##
BOOKdir = @abs_bookdir@/final-system/multilib
CHANGE_FILES = \
	aboutdebug.ch        \
	acl.ch               \
	acl-64bit.ch         \
	acl-n32.ch           \
	adjusting.ch         \
	attr.ch              \
	attr-64bit.ch        \
	attr-n32.ch          \
	autoconf.ch          \
	automake.ch          \
	bash.ch              \
	bc.ch                \
	binutils.ch          \
	bison.ch             \
	bison-64bit.ch       \
	bison-n32.ch         \
	bzip2.ch             \
	bzip2-64bit.ch       \
	bzip2-n32.ch         \
	coreutils.ch         \
	dbus.ch              \
	dbus-n32.ch          \
	dbus-64bit.ch        \
	diffutils.ch         \
	e2fsprogs.ch         \
	e2fsprogs-64bit.ch   \
	e2fsprogs-n32.ch     \
	expat.ch             \
	expat-64bit.ch       \
	expat-n32.ch         \
	file.ch              \
	file-64bit.ch        \
	file-n32.ch          \
	findutils.ch         \
	flex.ch              \
	flex-64bit.ch        \
	flex-n32.ch          \
	gawk.ch              \
	gcc.ch               \
	gdbm.ch              \
	gdbm-64bit.ch        \
	gdbm-n32.ch          \
	gettext.ch           \
	gettext-64bit.ch     \
	gettext-n32.ch       \
	glibc.ch             \
	glibc-64bit.ch       \
	gmp.ch               \
	gmp-64bit.ch         \
	gmp-n32.ch           \
	gperf.ch             \
	grep.ch              \
	groff.ch             \
	gzip.ch              \
	iproute2.ch          \
	iputils.ch           \
	isl.ch               \
	isl-64bit.ch         \
	isl-n32.ch           \
	kbd.ch               \
	kmod.ch              \
	kmod-64bit.ch        \
	kmod-n32.ch          \
	less.ch              \
	libcap.ch            \
	libcap-64bit.ch      \
	libcap-n32.ch        \
	libpipeline.ch       \
	libpipeline-64bit.ch \
	libpipeline-n32.ch   \
	libtool.ch           \
	libtool-64bit.ch     \
	libtool-n32.ch       \
	m4.ch                \
	make.ch              \
	man-db.ch            \
	mpc.ch               \
	mpc-64bit.ch         \
	mpc-n32.ch           \
	mpfr.ch              \
	mpfr-64bit.ch        \
	mpfr-n32.ch          \
	multiarch_wrapper.ch \
	ncurses.ch           \
	ncurses-64bit.ch     \
	ncurses-n32.ch       \
	patch.ch             \
	perl.ch              \
	perl-64bit.ch        \
	perl-n32.ch          \
	pkg-config-lite.ch   \
	procps-ng.ch         \
	procps-ng-64bit.ch   \
	procps-ng-n32.ch     \
	psmisc.ch            \
	readline.ch          \
	readline-64bit.ch    \
	readline-n32.ch      \
	sed.ch               \
	shadow.ch            \
	stripping.ch         \
	systemd.ch           \
	systemd-64bit.ch     \
	systemd-n32.ch       \
	tar.ch               \
	temp-perl.ch         \
	texinfo.ch           \
	util-linux.ch        \
	util-linux-64bit.ch  \
	util-linux-64bit-pass1.ch  \
	util-linux-n32.ch    \
	vim.ch               \
	xml-parser.ch        \
	xml-parser-64bit.ch  \
	xml-parser-n32.ch    \
	xz.ch                \
	xz-64bit.ch          \
	xz-n32.ch            \
	zlib.ch              \
	zlib-64bit.ch        \
	zlib-n32.ch

EXTRA_DIST = $(CHANGE_FILES)
srcdir = @srcdir@
srcs = $(CHANGE_FILES:.ch=.xml)

SUFFIXES = .ch .xml
.ch.xml:
	$(top_builddir)/$(CTIE) -m $@ $(BOOKdir)/$@ $(srcdir)/$*.ch >/dev/null

all: ctie $(srcs)

ctie:
	@$(MAKE) -C $(top_builddir)/$@ $@ >/dev/null

$(srcs): $(BOOKdir)/$@ $(srcdir)/$(@:.xml=.ch)
